--- old/usr/src/uts/common/io/dls/dls_link.c	2014-07-28 07:44:34.650430241 -0400
+++ new/usr/src/uts/common/io/dls/dls_link.c	2014-07-28 07:44:34.656385825 -0400
@@ -361,7 +361,7 @@
 
 		DLS_PREPARE_PKT(dlp->dl_mh, mp, &mhi, err);
 		if (err != 0) {
-			atomic_add_32(&(dlp->dl_unknowns), 1);
+			atomic_inc_32(&(dlp->dl_unknowns));
 			nextp = mp->b_next;
 			mp->b_next = NULL;
 			freemsg(mp);
@@ -535,7 +535,7 @@
 	}
 
 drop:
-	atomic_add_32(&dlp->dl_unknowns, 1);
+	atomic_inc_32(&dlp->dl_unknowns);
 	freemsg(mp);
 }
 
@@ -575,7 +575,7 @@
 	return;
 
 drop:
-	atomic_add_32(&dlp->dl_unknowns, 1);
+	atomic_inc_32(&dlp->dl_unknowns);
 	freemsg(mp);
 }
 
@@ -732,7 +732,7 @@
 	    (mod_hash_val_t)dlp);
 	ASSERT(err == 0);
 
-	atomic_add_32(&i_dls_link_count, 1);
+	atomic_inc_32(&i_dls_link_count);
 	ASSERT(i_dls_link_count != 0);
 
 done:
@@ -819,7 +819,7 @@
 		 */
 		i_dls_link_destroy(dlp);
 		ASSERT(i_dls_link_count > 0);
-		atomic_add_32(&i_dls_link_count, -1);
+		atomic_dec_32(&i_dls_link_count);
 	}
 }
 
